Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`client`.`_ContextFactoryWithContext``

class documentation

`class _ContextFactoryWithContext: (source)`

Constructor: `_ContextFactoryWithContext(context)`

Implements interfaces: `twisted.internet.interfaces.IOpenSSLContextFactory`

View In Hierarchy

A `_ContextFactoryWithContext` is like a `twisted.internet.ssl.ContextFactory` with a pre-created context.

Method | `__init__` | Initialize a `_ContextFactoryWithContext` with a context.
Method | `getContext` | Return the context created by `_DeprecatedToCurrentPolicyForHTTPS._webContextFactory`.
Instance Variable | `_context` | A Context.

def __init__(self, context): (source)

Initialize a `_ContextFactoryWithContext` with a context.

Parameters
context:`OpenSSL.SSL.Context` | An SSL context.

def getContext(self): (source)
from `twisted.internet.interfaces.IOpenSSLContextFactory`

Return the context created by `_DeprecatedToCurrentPolicyForHTTPS._webContextFactory`.

Returns
`OpenSSL.SSL.Context` | A context.

_context: `OpenSSL.SSL.Context` = (source)

A Context.